Bug 198394 - Package nut lacks IPv6 support
Summary: Package nut lacks IPv6 support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:25 UTC by Peter Vrabec
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 12:39:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Experimental IPv6 support (18.60 KB, patch)
2006-11-19 12:22 UTC, Daniel Kopeček
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:25:08 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/nut-2.0.3/server/upsd.c:137:	if ((listenfd = socket(AF_INET, SOCK_STREAM, 0)) < 0)
/nut-2.0.3/server/upsd.c:148:	server.sin_family = AF_INET;
/nut-2.0.3/clients/upsclient.c:458:	if ((ups->fd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
/nut-2.0.3/clients/upsclient.c:465:	local.sin_family = AF_INET;
/nut-2.0.3/clients/upsclient.c:469:	server.sin_family = AF_INET;

Comment 1 Daniel Kopeček 2006-11-19 12:22:03 UTC
Created attachment 141582 [details]
Experimental IPv6 support

In case somebody have complaints or have found a bug, please send me an email
(or write it here)

Comment 2 Ngo Than 2006-11-21 12:39:52 UTC
Dan, i have sent the fix to nut upstream (cc to you). Hope it will be included 
in next upstream release. Thanks for the fix.


Note You need to log in before you can comment on or make changes to this bug.